/* AppController */

#import <Cocoa/Cocoa.h>
#include "EDLWriter.h"

@interface AppController : NSObject
{
    EDLWriter*  edlWriter;
    BOOL        success;
    BOOL        cancelled;
    NSTimer*    progressTimer;
    double      progAmount;
    INT64       fileBytes;
    
    NSString*   fullPath;
    NSString*   leftChan;
    
    IBOutlet id theWindow;
        
    IBOutlet id projPath;
    IBOutlet NSMatrix* width;
    IBOutlet NSMatrix* channels;
    IBOutlet id fileInfo;
    IBOutlet id convertButton;
    
    IBOutlet id formatBox;
    IBOutlet id progressSheet;
    IBOutlet id progressBar;
    IBOutlet id dialogText;
    IBOutlet id dialogButton;
}

- (void)awakeFromNib;
- (void)updateParams;
- (void)finished;
- (NSString*)formatTime:(timeParts) tp;
- (NSString*)formatBytes:(double) val;

- (void) handleTimer:(NSTimer *)timer;
- (void) conversionThread:(id)anObject;
- (BOOL) DiskHasEnoughSpace:(NSString*)path
                 sizeNeeded:(unsigned long long)sizeNeeded;
- (void)displayMessage:(NSString*)message;

- (IBAction)openProgressSheet:(id)sender;
- (IBAction)closeProgressSheet:(id)sender;
- (IBAction)updateStatus:(id)sender;
- (IBAction)open:(id)sender;
- (IBAction)convert:(id)sender;
- (IBAction)openPanelDidEnd:(NSOpenPanel *)openPanel
                 returnCode:(int)returnCode
                contextInfo:(void *)x;
- (IBAction)savePanelDidEnd:(NSSavePanel *)savePanel
                 returnCode:(int)returnCode
                contextInfo:(void *)x;
- (IBAction)saveLeftPanelDidEnd:(NSSavePanel *)leftPanel
                 returnCode:(int)returnCode
                contextInfo:(void *)x;
@end
